qutim 0.3 oscar. не работает передача файлов

Bug #685444 reported by M@}{mud on 2010-12-05
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
qutim
Medium
Alexey Prokhin

Bug Description

у меня проблема передача файлов вообще не происходит (в обоих направлениях). Пробовал обмен файлами с qip 8095 и pidgin. Когда мне пытаются передать файл то их клиент говорит об отмене передачи.
Кстати, когда я пытаюсь передать файл:
1. нажимаю кнопку передачи.
2. Выбираю файл.
3. появляется окно передачи.
4. Появляется диалоговое окно как на рисунке (test4.png)

Зачем последнее окно - не понятно. Кроме того, нельзя ли сделать окно выбора: принимать файл или нет? а то сразу появляется диалоговое окно с предложением выбрать место сохранения файла.

Вот кусок лога при попытке приема файла:
*********************************************************
11:51:09 Debug: "[Core]:" activate session "sl4wa"
11:51:15 Debug: void VLongPollClient::onDataReceived() "{"ts":728394604,"updates":[[8,-45268210,0]]}
"
11:51:24 Debug: "[Core]:" "SNAC(0x0004, 0x0007) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:51:24 Debug: "[Core]:" "4223121" sent file transfer request
11:51:24 Debug: "[Core]:" Trying to connect to the receiver 127.0.0.2:5190
11:51:24 Critical: qutIM(24439): ""font" - conversion from "Sans Serif,9,-1,5,50,0,0,0,0,0" to QFont failed"

11:51:25 Debug: "[Core]:" "SNAC(0x0004, 0x0006) is sent to qutim_sdk_0_3::oscar::OscarConnection"
11:51:31 Debug: "[Core]:" "SNAC(0x0001, 0x000a) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:51:31 Debug: "[Core]:" activate session "sl4wa"
11:51:31 Debug: "[Core]:" activate session "sl4wa"
11:51:31 Debug: "[Core]:" "SNAC(0x0004, 0x0007) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:51:31 Debug: "[Core]:" "4223121" sent file transfer request
11:51:31 Debug: "[Core]:" Trying to connect to the proxy 205.188.210.210:5190
11:51:32 Debug: "[Core]:" Rendezvous proxy packet. Type 1
11:51:32 Debug: "[Core]:" File transfer connection error "Bad Request"
11:51:32 Debug: "[Core]:" "SNAC(0x0004, 0x0006) is sent to qutim_sdk_0_3::oscar::OscarConnection"
11:51:32 Debug: "[Core]:" "SNAC(0x0001, 0x000a) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:51:38 Debug: void VLongPollClient::onDataReceived() "{"ts":728394606,"updates":[[9,-3799711,1],[8,-21684361,0]]}
"
11:51:39 Debug: "[Core]:" activate session "sl4wa"
11:51:43 Debug: "[Core]:" Alive packet has been sent
**********************************************************************************************

вот кусок лога при попытке отправить файл:
***********************************************************
11:52:21 Debug: "[Core]:" "SNAC(0x0004, 0x0006) is sent to qutim_sdk_0_3::oscar::OscarConnection"
11:52:21 Debug: "[Core]:" "sl4wa" "M@}{mud" false
11:52:21 Debug: "[Core]:" "SNAC(0x0004, 0x0014) is sent to qutim_sdk_0_3::oscar::OscarConnection"
11:52:22 Debug: "[Core]:" "SNAC(0x0001, 0x000a) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:52:22 Debug: "[Core]:" "SNAC(0x0004, 0x000b) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:52:22 Debug: "[Core]:" Message with id 105 has been delivered
11:52:28 Debug: DynamicMenu::onActionTriggered: Trying Core::SimpleFileTransfer::onSendFile(QObject*)
11:52:28 Debug: "[Core]:" "Отправить файл" 0x84d54f0 QAction(0x89e0948) qutim_sdk_0_3::oscar::IcqContact(0x85f6bb8)
11:52:33 Debug: error QMap(("error_code", QVariant(int, 10) ) ( "error_msg" , QVariant(QString, "Internal server error") ) ( "request_params" , QVariant(QVariantList, (QVariant(QVariantMap, QMap(("key", QVariant(QString, "api_id") ) ( "value" , QVariant(QString, "1865463") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "format") ) ( "value" , QVariant(QString, "json") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "method") ) ( "value" , QVariant(QString, "activity.getNews") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "timestamp") ) ( "value" , QVariant(QString, "1291542747") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "v") ) ( "value" , QVariant(QString, "3.0") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "sig") ) ( "value" , QVariant(QString, "499221d6213878a0a49f3c31b0cb373f") ) ) ) , QVariant(QVariantMap, QMap(("key", QVariant(QString, "sid") ) ( "value" , QVariant(QString, "fa6e575afb72a03827b7f623fa5f906293c94a01c0e449a4959c9a34dd") ) ) ) ) ) ) )
11:52:45 Debug: "[Core]:" virtual bool Jabber::JFileTransferFactory::check(qutim_sdk_0_3::ChatUnit*) qutim_sdk_0_3::oscar::IcqContact
11:52:45 Debug: "[Core]:" "SNAC(0x0004, 0x0006) is sent to qutim_sdk_0_3::oscar::OscarConnection"
11:52:45 Debug: "[Core]:" activate session "sl4wa"
11:52:45 Debug: "[Core]:" activate session "sl4wa"
11:52:45 Debug: "[Core]:" "SNAC(0x0001, 0x000a) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:52:46 Debug: void VLongPollClient::onDataReceived() "{"ts":728394607,"updates":[]}
"
11:52:53 Debug: "[Core]:" activate session "sl4wa"
11:52:54 Debug: "[Core]:" "SNAC(0x0004, 0x0007) is received from qutim_sdk_0_3::oscar::OscarConnection"
11:52:54 Debug: "[Core]:" "4223121" sent file transfer request
11:52:54 Debug: "[Core]:" "Stage 2 oscar file transfer request is forbidden during file receiving"
11:52:54 Debug: "[Core]:" "SNAC(0x0004, 0x0006) is sent to qutim_sdk_0_3::oscar::OscarConnection"

M@}{mud (0mishamzs0) wrote :
Changed in qutim:
assignee: nobody → Alexey Prokhin (alexey-prokhin)
importance: Undecided → Medium
status: New → Confirmed
Changed in qutim:
milestone: none → 0.3b
status: Confirmed → In Progress
Changed in qutim:
milestone: 0.3b → 0.3
Tretyakov R (roman-i) on 2013-03-28
Changed in qutim:
status: In Progress → Fix Committed
Tretyakov R (roman-i) on 2013-09-24
Changed in qutim:
status: Fix Committed → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments